# Class HexColorHelper | EchoHub Documentation
Helper to parse hex colors to Terminal.Gui Attributes.

# Class HexColorHelper

Namespace
  EchoHub.Client.UI.Helpers

Assembly
  EchoHub.Client.dll

Helper to parse hex colors to Terminal.Gui Attributes.

    public static class HexColorHelper

Inheritance
  object
  HexColorHelper

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### ParseHexColor(string?)

    public static Attribute? ParseHexColor(string? hex)

#### Parameters

`hex` string

#### Returns

Attribute?

### ParseHexToColor(string?, Color)

Parse a hex color string (with or without #) to a Terminal.Gui Color. Returns `fallback` if parsing fails.

    public static Color ParseHexToColor(string? hex, Color fallback = default)

#### Parameters

`hex` string
`fallback` Color

#### Returns

Color